

function dmToggleLoc(aCheckbox)
{
  if (aCheckbox.checked)
    document.getElementById("closeWhenDone").removeAttribute("disabled");
  else {
    document.getElementById("closeWhenDone").setAttribute("disabled", "true");
    document.getElementById("closeWhenDone").checked = false;
  }
}



// Saves the user's options
function downloadmgr_saveOptions()
{
  var preferencesService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");

  var window = document.getElementById("dmLocation");
  preferencesService.setIntPref("downloadmgr.windowType",window.value);

  var dlButton = document.getElementById("dlButton");
  preferencesService.setBoolPref("downloadmgr.buttonDownload",dlButton.checked);

  var launchButton = document.getElementById("launchButton");
  preferencesService.setBoolPref("downloadmgr.buttonLaunch",launchButton.checked);

  var showButton = document.getElementById("showButton");
  preferencesService.setBoolPref("downloadmgr.buttonShow",showButton.checked);

  var cleanButton = document.getElementById("cleanUpButton");
  preferencesService.setBoolPref("downloadmgr.buttonClean",cleanButton.checked);

  var optionsButton = document.getElementById("optionsButton");
  preferencesService.setBoolPref("downloadmgr.buttonOptions",optionsButton.checked);

  var show = document.getElementById("showWhenStarted");
  preferencesService.setBoolPref("downloadmgr.showWhenStarting",show.checked);

  var close = document.getElementById("closeWhenDone");
  preferencesService.setBoolPref("downloadmgr.closeWhenDone",close.checked);

  var bottom = document.getElementById("bottomToolbar");
  preferencesService.setBoolPref("downloadmgr.bottomToolBar",bottom.checked);

  var bg = document.getElementById("tabBackground");
  preferencesService.setBoolPref("downloadmgr.loadTabInBackground",bg.checked);

  var tabBusy = document.getElementById("tabBusyIcon");
  preferencesService.setBoolPref("downloadmgr.tabBusyIcon",tabBusy.checked);

  var alert = document.getElementById("showAlert");
  preferencesService.setBoolPref("browser.download.manager.showAlertOnComplete",alert.checked);


  //if (window.value == 1 || window.value == 2) {
  //  preferencesService.setBoolPref("browser.download.manager.showWhenStarting",false);
  //  preferencesService.setBoolPref("browser.download.manager.closeWhenDone",false);
  //}
  //else {
  //  preferencesService.setBoolPref("browser.download.manager.showWhenStarting",show.checked);
  //  preferencesService.setBoolPref("browser.download.manager.closeWhenDone",close.checked);
  //}
}

//Initialize options
function downloadmgr_initializeOptions()
{
  var preferencesService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
  var window = document.getElementById("dmLocation");

  var winVal = preferencesService.getIntPref("downloadmgr.windowType");
  if (winVal == null) winVal = 0;

  if (winVal == 1) window.selectedItem = document.getElementById("dmSidebar");
  else if (winVal == 2) window.selectedItem = document.getElementById("dmTab");
  else window.selectedItem = document.getElementById("dmWindow");

  var dlButton = preferencesService.getBoolPref("downloadmgr.buttonDownload");
  document.getElementById("dlButton").checked = dlButton;

  var launchButton = preferencesService.getBoolPref("downloadmgr.buttonLaunch");
  document.getElementById("launchButton").checked = launchButton;

  var showButton = preferencesService.getBoolPref("downloadmgr.buttonShow");
  document.getElementById("showButton").checked = showButton;

  var cleanButton = preferencesService.getBoolPref("downloadmgr.buttonClean");
  document.getElementById("cleanUpButton").checked = cleanButton;

  var optionsButton = preferencesService.getBoolPref("downloadmgr.buttonOptions");
  document.getElementById("optionsButton").checked = optionsButton;

  var show = preferencesService.getBoolPref("downloadmgr.showWhenStarting");
  document.getElementById("showWhenStarted").checked = show;

  var close = preferencesService.getBoolPref("downloadmgr.closeWhenDone");
  document.getElementById("closeWhenDone").checked = close;
  if (!show) document.getElementById("closeWhenDone").disabled=true;

  var bottom = preferencesService.getBoolPref("downloadmgr.bottomToolBar");
  document.getElementById("bottomToolbar").checked = bottom;

  var bg = preferencesService.getBoolPref("downloadmgr.loadTabInBackground");
  document.getElementById("tabBackground").checked = bg;

  var tabBusy = preferencesService.getBoolPref("downloadmgr.tabBusyIcon");
  document.getElementById("tabBusyIcon").checked = tabBusy;

  var alert = preferencesService.getBoolPref("browser.download.manager.showAlertOnComplete");
  document.getElementById("showAlert").checked = alert;
}
